Package org.apache.torque.generator.configuration.mergepoint

# Class MergepointConfigurationTags

java.lang.Object
org.apache.torque.generator.configuration.mergepoint.MergepointConfigurationTags

public final class MergepointConfigurationTags extends Object
The element and attribute names for mergepoint configuration.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ACTION_ACCEPT_EMPTY_ATTRIBUTE`
  Attribute name for the "acceptEmpty" attribute of the "action" tag.
  `static final String`
  `ACTION_ACCEPT_NOT_SET_ATTRIBUTE`
  Attribute name for the "acceptNotSet" attribute of the "action" tag.
  `static final String`
  `ACTION_ATTRIBUTE_ATTRIBUTE`
  Attribute name for the "attribute" attribute of the "action" tag.
  `static final String`
  `ACTION_ELEMENT_ATTRIBUTE`
  Attribute name for the "element" attribute of the "action" tag.
  `static final String`
  `ACTION_OPTION_ATTRIBUTE`
  Attribute name for the "option" attribute of the "action" tag.
  `static final String`
  `ACTION_OUTLET_ATTRIBUTE`
  Attribute name for the "outlet" attribute of the "action" tag.
  `static final String`
  `ACTION_TAG`
  Tag name for the "action" tag.
  `static final String`
  `ACTION_TYPE_ATTRIBUTE`
  Attribute name for the "type" attribute of the "action" tag.
  `static final String`
  `ACTION_VALUE_ATTRIBUTE`
  Attribute name for the "value" attribute of the "action" tag.
  `static final String`
  `MERGEPOINT_NAME_ATTRIBUTE`
  Attribute name for the "name" attribute of the "mergepoint" tag.
  `static final String`
  `MERGEPOINT_TAG`
  Tag name for the "mergepoint" tag.

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### MERGEPOINT_TAG

    public static final String MERGEPOINT_TAG
    Tag name for the "mergepoint" tag.
    See Also:
      - Constant Field Values

  - ### MERGEPOINT_NAME_ATTRIBUTE

    public static final String MERGEPOINT_NAME_ATTRIBUTE
    Attribute name for the "name" attribute of the "mergepoint" tag.
    See Also:
      - Constant Field Values

  - ### ACTION_TAG

    public static final String ACTION_TAG
    Tag name for the "action" tag.
    See Also:
      - Constant Field Values

  - ### ACTION_TYPE_ATTRIBUTE

    public static final String ACTION_TYPE_ATTRIBUTE
    Attribute name for the "type" attribute of the "action" tag.
    See Also:
      - Constant Field Values

  - ### ACTION_OUTLET_ATTRIBUTE

    public static final String ACTION_OUTLET_ATTRIBUTE
    Attribute name for the "outlet" attribute of the "action" tag.
    See Also:
      - Constant Field Values

  - ### ACTION_ATTRIBUTE_ATTRIBUTE

    public static final String ACTION_ATTRIBUTE_ATTRIBUTE
    Attribute name for the "attribute" attribute of the "action" tag.
    See Also:
      - Constant Field Values

  - ### ACTION_ELEMENT_ATTRIBUTE

    public static final String ACTION_ELEMENT_ATTRIBUTE
    Attribute name for the "element" attribute of the "action" tag.
    See Also:
      - Constant Field Values

  - ### ACTION_ACCEPT_EMPTY_ATTRIBUTE

    public static final String ACTION_ACCEPT_EMPTY_ATTRIBUTE
    Attribute name for the "acceptEmpty" attribute of the "action" tag.
    See Also:
      - Constant Field Values

  - ### ACTION_ACCEPT_NOT_SET_ATTRIBUTE

    public static final String ACTION_ACCEPT_NOT_SET_ATTRIBUTE
    Attribute name for the "acceptNotSet" attribute of the "action" tag.
    See Also:
      - Constant Field Values

  - ### ACTION_OPTION_ATTRIBUTE

    public static final String ACTION_OPTION_ATTRIBUTE
    Attribute name for the "option" attribute of the "action" tag.
    See Also:
      - Constant Field Values

  - ### ACTION_VALUE_ATTRIBUTE

    public static final String ACTION_VALUE_ATTRIBUTE
    Attribute name for the "value" attribute of the "action" tag.
    See Also:
      - Constant Field Values